/*  GREAT Event Builder include file ... "ebstats.h" ... */

#define MAX_STATISTICS 96

typedef unsigned long long Stat;

struct statistics_record {
  Stat cluster_params_defined;
  Stat cluster_params_undefined;
  Stat cluster_params_accepted; 
  Stat cluster_params_rejected;

  Stat bgofilter_params_pileup_filtered;
  Stat bgofilter_pileup_accepted; 
  Stat bgofilter_pileup_rejected; 
  Stat bgofilter_pileup_invalid; 

  Stat input_blocks_attached;
  Stat input_blocks_lost; 
  Stat prefilter_inputblocks_attached;
  Stat prefilter_inputblocks_freed;

  Stat prefilter1_inputblocks_attached;
  Stat prefilter1_inputblocks_freed;
  Stat prefilter2_inputblocks_attached;
  Stat prefilter2_inputblocks_freed;

  Stat bgofilter_tokens_incoming;
  Stat fastfilter_tokens_incoming;
  Stat cluster_inputblocks_attached;
  Stat cluster_inputblocks_freed;

  Stat clusters_found;
  Stat clusters_rejected;
  Stat clusters_actionfails;
  Stat cluster_blocks_transmitted; 

  Stat output_blocks_received;
  Stat output_blocks_transmitted;
  Stat output_events1;
  Stat output_transmit_errors;

  Stat output_channel0;  
  Stat output_channel1;
  Stat output_channel2;
  Stat output_channel3;

  Stat clusters_cluster_block[8];
  Stat clusters_cluster_records[8];

  Stat eventsearch_node_records[8];

  Stat eventsearch_searches_rejected;
  Stat eventsearch_searches_accepted;
  Stat eventsearch_events_found;
  Stat eventsearch_spare4;

  Stat bgofilter_params_accepted; 
  Stat bgofilter_params_rejected;
  Stat fastfilter_params_accepted; 
  Stat fastfilter_params_rejected;

  Stat bgofilter_params_incoming; 
  Stat fastfilter_params_incoming; 
  Stat cluster_params_incoming; 
  Stat cluster_tokens_incoming;

  Stat eventsearch_inputblocks_attached;
  Stat eventsearch_inputblocks_freed;
  Stat fastfilter_params_defined;
  Stat fastfilter_params_undefined;

  Stat gefold1_params_accepted;
  Stat gefold1_params_rejected;
  Stat gefold2_params_accepted;
  Stat gefold2_params_rejected;

  Stat params_pileup_accepted; 
  Stat params_pileup_rejected; 
  Stat params_pileup_invalid; 
  Stat spare1;

  Stat test[16];

  /* Length MAX_STATISTICS Stats ... */
  }; 

