
#ifdef EBMAIN

EBshared *ebsh;

struct statistics_record *stats;

char basedir[256];
char bindir[256];
char libdir[256];
char setupdir[256];
char clustersetupfile[256];
char eventsearchsetupfile[256];

char inputhandler[8];
char outputhandler[8];

int maxinputbuffers;
int maxinputbuffersize;

int maxprefilterbuffers;
int maxprefilterbuffersize;

int maxclusters;
int maxclusterbuffers;
int maxclusterbuffersize;

int maxoutputbuffers;
int maxoutputbuffersize;

int debug=0;

int Logging=0;

int load_ers = 1;

char message[128];
char errmsg[128];

char *stateStrings[N_STATES]= {
  "UNINITIALISED",
  "INITIALISEREADY",
  "POST_INITIALISEREADY",
  "INITIALISED",
  "GOINGREADY",
  "GOING",
  "FLUSHING",
  "FLUSHED",
  "STOPPING",
  "STOPPED",
  "EXITING",
};

static char *validStateInputStrings[]= {
  "NOACTION",
  "INITIALISE",
  "GO",
  "STOP",
  "FLUSH",
  "EXIT",
  NULL,
};

#else

extern EBshared *ebsh;

extern struct statistics_record *stats;

extern char basedir[];
extern char bindir[];
extern char libdir[];
extern char setupdir[];
extern char clustersetupfile[];
extern char eventsearchsetupfile[];

extern char inputhandler[];
extern char outputhandler[];

extern int maxinputbuffers;
extern int maxinputbuffersize;

extern int maxprefilterbuffers;
extern int maxprefilterbuffersize;

extern int maxclusters;
extern int maxclusterbuffers;
extern int maxclusterbuffersize;

extern int maxoutputbuffers;
extern int maxoutputbuffersize;

extern int debug;

extern int Logging;

extern int load_ers;

extern char message[];
extern char errmsg[];

extern char *stateStrings[];

#endif

#define ERROR -1

void debugMessage(char *format, ...);
int logMessage(int severity, char *path, char *value, char *errmsg);




