
typedef struct generalparam {
  unsigned short data;
}GeneralParam;

struct phase1_struct {
  RawData *Pattern1;
  RawData *Pattern2;
  RawData *Pattern3;
  RawData *Ge1;
  RawData *Ge2;
  RawData *Ge3;
  };

struct phase1bgopattern_struct {
  RawData *Pattern1;
  RawData *Pattern2;
  RawData *Pattern3;
  RawData *Ge1;
  RawData *Ge2;
  RawData *Ge3;
  };

struct phase1bgoadcs_struct {
  RawData *Pattern1;
  RawData *Pattern2;
  RawData *Pattern3;
  RawData *Ge1;
  RawData *Ge2;
  RawData *Ge3;
  };

struct mwpc_struct {
  RawData *X;
  RawData *Y;
  RawData *dE;
  RawData *Up;
  RawData *Down;
  RawData *TofTac;
  };

struct sistrip_struct {
  RawData *E;
  GeneralParam *X;
  GeneralParam *Y;
  };

GeneralParam sistrip_X;
GeneralParam sistrip_Y;

struct sipin_struct {
  RawData *E;
  GeneralParam *X;
  GeneralParam *Y;
  };

GeneralParam sipin_X;
GeneralParam sipin_Y;

struct sacred_struct {
  RawData *E;
  GeneralParam *X;
  GeneralParam *Y;
  };

GeneralParam sacred_X;
GeneralParam sacred_Y;

struct segclover_struct {
  RawData *E;
  GeneralParam *X;
  GeneralParam *Y;
  };

GeneralParam segclover_X;
GeneralParam segclover_Y;

struct quad_struct {
  RawData *Ea;
  RawData *Eb;
  RawData *Ec;
  RawData *Ed;
  GeneralParam *X;
  GeneralParam *Y;
  };

GeneralParam quad_X;
GeneralParam quad_Y;
