# Generates sets of arrays  clus0,clus1, etc



proc generate_mapfile {usersetupdir} {
    global nclusters vxiparamlist

    getvxiparams

    set alloc1 0

    set nn 0
    set maplist ""
    set formatlist ""
    while {$nn < $nclusters} {
	set clus clus$nn
        global $clus
	set cname [set [set clus](name)]

	set ngroups [set [set clus](groups)]

	set grp 0
	while {$grp < $ngroups} {
	    set clg [set clus]group[set grp]
	    global $clg

	    set mi [set [set clg](maxinstances)]
	    set gname [set [set clg](name)]

	    set alloc2 [expr $alloc1 + $mi -1]

	    if {$alloc1 < 256 && $alloc2 > 255} {
		set alloc1 256
		set alloc2 [expr $alloc1 + $mi -1]
	    }

	    set np [set [set clg](inst0nparams)]

	    set p 0
	    set plist ""
	    while {$p < $np} {	
		set pname [first [set [set clg](inst0param$p)]]
		if {$pname != "pattern"} {
		    append plist "$pname, "
		}
		incr p
	    }
#Strip last comma ...
	    set lastcomma [string last "," $plist]	
	    set plist [string range $plist 0 [expr $lastcomma -1]]

	    if {$gname != ""} {set gname "_$gname"}
	    lappend formatlist "$cname$gname\[$alloc1:$alloc2\] ($plist)"

	    # Now test against vxiparamlist

	    set i 0
	    while {$i < $mi} {
		set p 0
		set plist ""
		while {$p < $np} {
		    set pname [first [set [set clg](inst0param$p)]]
		    if {$pname != "pattern"} {
			if {$mi == 1} {set ii ""} {set ii $i}
			set paramname [set cname][set gname][set ii].[set pname]

			set index [lsearch -regexp $vxiparamlist $paramname]
			if {$index != -1} {
			    set l [lindex $vxiparamlist $index]
			    lappend maplist "$paramname [second $l] [expr $alloc1 + $i] $p"
			}
		    }
		    incr p
		}
		incr i
	    }

	    incr alloc2
	    set alloc1 $alloc2
	    incr grp
	}

	incr nn
    } 

    set newlist [lsort -integer -index 1 $maplist]

    write-file [set usersetupdir]/currentsetup.MTmap $newlist
    write-file [set usersetupdir]/currentsetup.MTformats $formatlist

}





