

set inhandlers {"Online        " "Disc          " "Tape          "}
set outhandlers {"Null          " "TapeServer" "Disc          " "Tape          " }

foreach oc $outputchannels {
    set outputlabel($oc) "Output Channel$oc"
    set outvolume($oc) ""
    set outfile($oc) ""
}

# Note: Write value PLUS ONE ...

proc click-inhandler {v} {
    global inhandler preferences
    set inhandler $v
    writereg inputhandler [expr $v +1]
    set preferences(inputhandler) $v
    update_preferences
    refresh
}

proc click-inrunfiles {} {
    global soap_server inhandler
    set ret [server_ping $soap_server]
    if {$ret == 0} {set-footer "TDRfilter task nor respopnding!"; return}

    inform sysih start $soap_server $inhandler
    refresh
    refresh-channels
}

proc click-outenable {v c} {
    global debug outenable preferences
    if {$debug} {puts "click-outenable: value $v channel $c"}
    set outenable($c) $v
    writereg outputenable$c $v
    set preferences(outputenable$c) $v
    update_preferences
    refresh-channels
}

proc click-outhandler {v c} {
    global outhandler preferences
    set outhandler($c) $v
    writereg outputhandler$c $v
    if {$v == 1} {writereg outputstream$c 1}
    set preferences(outputhandler$c) $v
    update_preferences
    refresh-channels
}

proc click-outrunfiles {c} {
    global soap_server outhandler
    set ret [server_ping $soap_server]
    if {$ret == 0} {set-footer "TDRfilter task nor respopnding!"; return}

    if {[set outhandler($c)]} {
	inform sysoh start $soap_server $outhandler($c) $c
    } {
	inform sysoh finish
    }
    refresh
    refresh-channels
}

proc refresh-channels {} {click-refresh-channels}

proc click-refresh-channels {} {
    global inhandler outhandler outenable outputchannels

    writereg inputhandler [expr $inhandler +1]
    :modify INHANDLER :value $inhandler

    foreach oc $outputchannels {
	writereg outputhandler$oc [set outhandler($oc)]
	:modify OUTHANDLER-$oc :value $outhandler($oc)

	writereg outputenable$oc [set outenable($oc)]
	:modify OUTMODES-$oc :value [set outenable($oc)]
    }
}


