
#    supported detector types
set detectormenu [list TDR32V]
set detector ""

#    directory selection patterns
#set patternmenu {"" tdr32v* Dssd* Dssd-?-X* Dssd-?-Y* Dssd-A* Dssd-B* Dssd-A-X* Dssd-A-Y* Dssd-B-X* Dssd-B-Y* Pin.* Clover.* Sacred.* Gas.* Tac.* ????}

set patternmenu {"" tdr32v* Dssd* Dssd-?-X* Dssd-?-Y* Dssd-A* Dssd-B* Dssd-A-X* Dssd-A-Y* Dssd-B-X* Dssd-B-Y* Pin.* Planar.* Clover.* T??.E Gas.* Tac.* ????}

set RDOUThdwre [send sys inquire RDOUThdwre]
set m [first $RDOUThdwre]
if {"$RDOUThdwre" != "$m"} then {set RDOUThdwre ""}


proc create-spectrum n {
  global RDOUThdwre resource
  
   set server $resource
   
   set range [range-of $n]
   set specname $n
  
   set z [catch {eg "(spectrum :path '/$server' :range $range :name '$specname' !new)" } m]
#    Allow "Spectrum already exists" so that further spectra can be created
   if {$z == 0} then {inform sys map_needed}
   if {$z!=0 && $m==0x30004} then {set z 0}

  if {$z!=0} then {
    display-eg-error-report self $m "Attempting to " $action "spectrum" $n
    clear-footer
    error $m
  }

}


